#ifndef RECORDIO_H_
#define RECORDIO_H_

#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <errno.h>

typedef struct
{
    int position;
    int length;
} record_descriptor;

int rio_open(const char *pathname, int flags, mode_t mode);
void *rio_read(int fd, int *return_value);
int rio_write(int fd, const void *buf, int count);
int rio_lseek(int fd, int offset, int whence);
int rio_close(int fd);
int16_t encodefd(int d1, int d2);
int8_t decodedfd(int16_t d);
int8_t decodeifd(int16_t d);
void printb(unsigned n);

#endif /* RECORDIO_H_ */
